Subject: Re: CRLF problems with Git on Win32

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Jan 2008 02:35:13 -0800

Jeff King <[email-masked]> writes:

> On Mon, Jan 07, 2008 at 11:29:30PM -0800, Junio C Hamano wrote:
>
>> Steffen Prohaska <[email-masked]> writes:
>
> I'm not sure what's causing it, but all of the addresses in your message
> (including cc headers) got munged.

I think Steffen's original got munged (I just replied to it) by
gmane's mail relaying interface.

>> > I'm asking the last question because every Unix developer should
>> > think about the option, too.  Neither Unix or Windows are causing
>> > the problem alone.
>> 
>> That's the logical conclusion.
>> 
>> If you are introducing crlf = warn, that means you are declaring
>> that CRLF should be treated as a disease, and that should apply
>> everywhere, not just on Windows (which some people may consider
>> a disease itself, but that is a separate topic).
>
> It's unclear to me: is such a warning only supposed to happen when we
> see CRLF _after_ we have determined that a file is not actually binary?

Oh, I agree.  I thought that was what Steffen was proposing.